body {
    font-family: Arial;
    background: linear-gradient(to right, #1e3a8a, #0f172a);
    color: white;
    padding: 20px;
}

h1 {
    text-align: center;
    color: #38bdf8;
}

.container {
    background: #1e293b;
    padding: 20px;
    margin: 20px 0;
    border-radius: 12px;
    box-shadow: 0 0 15px rgba(0,0,0,0.3);
}

.theory {
    background: #1e293b;
    border-left: 5px solid #38bdf8;
}

label {
    font-weight: bold;
    display: block;
    margin-top: 10px;
}

input, textarea {
    width: 100%;
    padding: 8px;
    border-radius: 6px;
    margin-top: 5px;
}

button {
    margin-top: 10px;
    padding: 10px;
    background: #22c55e;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
}

button:hover {
    background: #16a34a;
}

#steps p {
    background: #334155;
    padding: 10px;
    border-radius: 6px;
    margin: 8px 0;
    border-left: 5px solid #38bdf8;
}

#cyOriginal, #cyMin {
    height: 350px;
    background: white;
    border-radius: 10px;
}